Subject: Re: [PATCH] INET : removes per bucket rwlock in tcp/dccp ehash table

From: Eric Dumazet <[email-masked]>
Date: Thu, 01 Nov 2007 20:17:35 +0100

> Rick Jones a écrit :
> Something is telling me finding a 64 core system with a suitable 
> workload to try this could be a good thing.  Wish I had one at my 
> disposal.

Maybe on big NUMA machines, we might prefer to spread the rwlock array on 
multiple nodes (ie using vmalloc() instead of kmalloc())

After my patch, it is true all rwlocks are on one memory node. Not exactly 
optimal :(

But if it was an issue, the spinlock array used in IP route cache would have 
the same problem and *someone* should already have complained...